path: /build/build/libffi-dev-libs-3.5.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libffi && luet-portage --dir
    /pkgdir/libffi dev-libs/libffi
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:06513fe8f58983b2caead11be93a28fbbef0a872327b162af5123778baeaa0a3
  package:
    name: libffi
    version: 3.5.1
    category: dev-libs
    use_flags:
    - -test
    requires:
    - name: mark-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: a portable, high level programming interface to various calling conventions
    uri:
    - https://sourceware.org/libffi/
    license: MIT
    buildtimestamp: 2025-07-30 17:35:41.040705153 +0000 UTC m=+33.588256828
    labels:
      BDEPEND: test? ( dev-util/dejagnu )
      IUSE: debug exec-static-trampoline pax_kernel static-libs
      emerge.packages: dev-libs/libffi
      kit: core-kit
      original.package.name: dev-libs/libffi
      original.package.slot: "0"
      original.package.version: 3.5.1
    treedir: /build/packages
  package_dir: /pkgdir/libffi
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 9bedf15667980d9ede7c5818279fb5dc0bb417815820a7da8b2216cb2a4df019
compressiontype: zstd
files:
- usr/lib64/libffi/include/ffi.h
- usr/lib64/libffi/include/ffitarget.h
- usr/lib64/libffi.so
- usr/lib64/libffi.so.8
- usr/lib64/libffi.so.8.2.0
- usr/lib64/pkgconfig/libffi.pc
- usr/share/doc/libffi-3.5.1/ChangeLog.bz2
- usr/share/doc/libffi-3.5.1/README.md.bz2
- usr/share/info/libffi.info.bz2
- usr/share/man/man3/ffi.3.bz2
- usr/share/man/man3/ffi_call.3.bz2
- usr/share/man/man3/ffi_prep_cif.3.bz2
- usr/share/man/man3/ffi_prep_cif_var.3.bz2
- var/db/pkg/dev-libs/libffi-3.5.1/BUILD_TIME
- var/db/pkg/dev-libs/libffi-3.5.1/CATEGORY
- var/db/pkg/dev-libs/libffi-3.5.1/CBUILD
- var/db/pkg/dev-libs/libffi-3.5.1/CFLAGS
- var/db/pkg/dev-libs/libffi-3.5.1/CHOST
- var/db/pkg/dev-libs/libffi-3.5.1/CONTENTS
- var/db/pkg/dev-libs/libffi-3.5.1/COUNTER
- var/db/pkg/dev-libs/libffi-3.5.1/CTARGET
- var/db/pkg/dev-libs/libffi-3.5.1/CXX
- var/db/pkg/dev-libs/libffi-3.5.1/CXXFLAGS
- var/db/pkg/dev-libs/libffi-3.5.1/DEFINED_PHASES
- var/db/pkg/dev-libs/libffi-3.5.1/DESCRIPTION
- var/db/pkg/dev-libs/libffi-3.5.1/EAPI
- var/db/pkg/dev-libs/libffi-3.5.1/FEATURES
- var/db/pkg/dev-libs/libffi-3.5.1/HOMEPAGE
- var/db/pkg/dev-libs/libffi-3.5.1/INHERITED
- var/db/pkg/dev-libs/libffi-3.5.1/IUSE
- var/db/pkg/dev-libs/libffi-3.5.1/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libffi-3.5.1/KEYWORDS
- var/db/pkg/dev-libs/libffi-3.5.1/LDFLAGS
- var/db/pkg/dev-libs/libffi-3.5.1/LICENSE
- var/db/pkg/dev-libs/libffi-3.5.1/NEEDED
- var/db/pkg/dev-libs/libffi-3.5.1/NEEDED.ELF.2
- var/db/pkg/dev-libs/libffi-3.5.1/PF
- var/db/pkg/dev-libs/libffi-3.5.1/PROVIDES
- var/db/pkg/dev-libs/libffi-3.5.1/REQUIRES
- var/db/pkg/dev-libs/libffi-3.5.1/SIZE
- var/db/pkg/dev-libs/libffi-3.5.1/SLOT
- var/db/pkg/dev-libs/libffi-3.5.1/USE
- var/db/pkg/dev-libs/libffi-3.5.1/environment.bz2
- var/db/pkg/dev-libs/libffi-3.5.1/libffi-3.5.1.ebuild
- var/db/pkg/dev-libs/libffi-3.5.1/repository
package_cacheimage: ""
runtime:
  name: libffi
  version: 3.5.1
  category: dev-libs
  use_flags:
  - -test
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: a portable, high level programming interface to various calling conventions
  uri:
  - https://sourceware.org/libffi/
  license: MIT
  labels:
    BDEPEND: test? ( dev-util/dejagnu )
    IUSE: debug exec-static-trampoline pax_kernel static-libs
    emerge.packages: dev-libs/libffi
    kit: core-kit
    original.package.name: dev-libs/libffi
    original.package.slot: "0"
    original.package.version: 3.5.1
